Summary: PCMan File Manager

Name: pcmanfm
Version: 0.5.2
Release: alt0.M51.2
License: GPL
Group: File tools
Url: http://pcmanfm.sourceforge.net/

Source: %name-%version.tar.gz
Source1: %name.watch

Patch:  pcmanfm-0.3.6.1-alt-desktop.patch
# Automatically added by buildreq on Sun Nov 12 2006
BuildRequires: libdbus-glib-devel libgtk+2-devel libhal-devel libstartup-notification-devel libgamin-devel intltool

BuildRequires: ImageMagick

%description
Features:
    * Extremly fast and lightweight
    * Can be started in one second on normal machine
    * Tabbed browsing (Similiar to Firefox)
    * Drag & Drop support
    * Files can be dragged among tabs
    * Load large directories in reasonable time
    * File association support (Default application)
    * Basic thumbnail support
    * Bookmarks support
    * Handles non-UTF-8 encoded filenames correctly
    * Provide icon view and detailed list view
    * Standard compliant (Follows FreeDesktop.org)
    * Clean and user-friendly interface (GTK+ 2)

%prep
%setup
#%patch -p1

%build
#ln -s %_bindir/libtool
%autoreconf
%configure \
    --disable-inotify \
    --enable-hal \
    --enable-largefile

%make

%install
make DESTDIR=%buildroot install
%find_lang %name

for size in 16x16 32x32 48x48 ; do
    mkdir -p %buildroot%_iconsdir/hicolor/$size/apps
    convert %buildroot%_pixmapsdir/%name.png -size $size %buildroot%_iconsdir/hicolor/$size/apps/%name.png
done

%files -f %name.lang
%_bindir/*
%_desktopdir/*.desktop
%_pixmapsdir/%name.png
%_datadir/mime/packages/*.xml
%_iconsdir/*/*/*/*.png
%_datadir/%name

%changelog
* Fri Apr 30 2010 Mykola Grechukh <gns@altlinux.ru> 0.5.2-alt0.M51.2
- ported to branch 5.1

* Thu Dec 17 2009 Mykola Grechukh <gns@altlinux.ru> 0.5.2-alt2
- build fixed

* Sat Dec 12 2009 Nick S. Grechukh <gns@altlinux.ru> 0.5.2-alt1
- new version

* Sun Nov 08 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.5-alt1.qa1
- NMU (by repocop): the following fixes applied:
  * shared-mime-info for pcmanfm
  * update_menus for pcmanfm
  * postclean-05-filetriggers for spec file

* Thu Jul 17 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.5-alt1
- new version

* Tue May 13 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.1.1-alt1
- new version

* Sat May 10 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0-alt1
- new version
- fix error post scripts, tnx repocop
- add watch file

* Wed Mar 12 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.6.2-alt2
- fix desktop file (tnx mike@)

* Thu Mar 06 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.6.2-alt1
- new version
- disable inotify

* Fri Jan 25 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.5.3b-alt0.1
- new version

* Tue Oct 23 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2.2-alt2
- fix menu entry. Tnx viy@
- add %%update_menus
- close bug 12860

* Fri Mar 16 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2.2-alt1
- new version

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.2.1-alt1.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Sun Nov 12 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2.1-alt1
- First build for ALTLinux

